Subject: bug#25022: closed (Re: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Dec 2016 09:19:02 +0000

Your bug report

#25022: 25.1.50; Different highlighting for different citation level in message-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25022: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25022
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode
From: Hong Xu <[email-masked]>
To: Katsumi Yamaoka <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Dec 2016 01:17:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2016-12-05 Mon 23:39 GMT-0800, Katsumi Yamaoka <[email-masked]> wrote:

> On Mon, 05 Dec 2016 22:08:46 -0800, Hong Xu wrote:
>> On 2016-11-24 Thu 15:22 GMT-0800, Hong Xu <[email-masked]> wrote:
>>> Currently in message-mode all cited texts are highlighted in the same
>>> way. It would be nicer if the highlighting of different citation levels
>>> can be easily customized.
>
>> Here is a patch and a screenshot. The default colors I chose may not be
>> optimal -- but I guess I'll leave that part to professionals.
>
>> Add support for different faces for different citation levels in message-mode.
>
> Isn't it redundant as there is this already? ;-)
>
> (defcustom gnus-message-highlight-citation
>   t ;; gnus-treat-highlight-citation ;; gnus-cite dependency
>   "Enable highlighting of different citation levels in message-mode."
>   :version "23.1" ;; No Gnus
>   :group 'gnus-cite
>   :group 'gnus-message
>   :type 'boolean)
>
> Here is my message-mode view:

I see the reason: gnus-message-citation-mode should see whether the
current major mode is derived from message-mode, rather than equal. I'll
probably find another fix later.

Subject: 25.1.50; Different highlighting for different citation level in message-mode
From: Hong Xu <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2016 15:22:15 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently in message-mode all cited texts are highlighted in the same
way. It would be nicer if the highlighting of different citation levels
can be easily customized.

In GNU Emacs 25.1.50.13 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.5)
 of 2016-11-24 built on home
Repository revision: 7f43d7c0101256b120ead3ddae6ee47327d231c9
Windowing system distributor 'The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.6 (jessie)

Configured using:
 'configure --with-modules --with-xwidgets
 --prefix=/home/hong/.local/opt/emacs/
 '--program-transform-name=s/^ctags$/ctags.emacs/''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS